<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- music-001 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%; background-color: white;" summary="">
    <TR>
		<TD height="234" style="background-image: url('images/bg.gif');">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-repeat: no-repeat;">
				<tr>
					<td style="padding: 0 0 100px 30px;">
						<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" summary="">
							<tr>
								<td><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
							</tr>
							<tr><td colspan="2" class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
						</table>
						<!-- END LOGO -->
						<div style="width:450px; height:0px;"><span></span></div>
					</td>
					<td width="100%"></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="51" style="background-image: url('images/menu_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td><img src="images/menu_l.gif" border="0" alt=""/></td>
					<td width="100%">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="">
							<tr>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
								<xsl:call-template name="TOP-MENU"/>
								<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
							</tr>
						</table>
						<!-- END MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" style="background-image: url('images/bg_tbg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_bbg.gif'); background-position: bottom; background-repeat: repeat-x;">
				<tr>
					<td style="background-image: url('images/bg_lbg.gif'); background-position: left; background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_rbg.gif'); background-position: right; background-repeat: repeat-y;">
							<tr>
								<td style="background-image: url('images/bg_tl.gif'); background-position: top left; background-repeat: no-repeat;">
									<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_tr.gif'); background-position: top right; background-repeat: no-repeat;">
										<tr>
											<td style="background-image: url('images/bg_br.gif'); background-position: bottom right; background-repeat: no-repeat;">
												<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_bl.gif'); background-position: bottom left; background-repeat: no-repeat;">
													<tr>
														<td valign="top" style="padding: 65px 60px 15px 31px;">
															<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
                                                                <tr valign="top">
																	<td height="100%">
																		<!-- SUBMENU -->
																		<table cellpadding="0" cellspacing="0" width="168" align="center" summary="">
																			<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
																		</table>
																		<!-- END SUBMENU -->
																	</td>
																	<td width="100%" style="padding-left: 20px;">
                                                                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 218px;">
                                                                            <tr>
                                                                                <td class="text-header">
                                                                                    <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                                                                                </td>
                                                                            </tr>
                                                                            <tr><td height="15"></td></tr>
                                                                            <tr>
                                                                                <td height="100%" class="pageContent" valign="top">
																			        <!-- CONTENT -->
                                                                                    <xsl:apply-templates select="PAGE-CONTENT"/>
																			        <!-- END CONTENT -->
                                                                                </td>
                                                                            </tr>
                                                                        </table>
																	</td>
																</tr>
																<tr><td colspan="2" height="100"></td></tr>
																<tr>
																	<td colspan="2" height="42">
																		<!-- BOTTOM MENU -->
																		<table cellpadding="0" cellspacing="0" align="center" summary="">
																			<tr>
																				<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
																				<xsl:call-template name="BOTTOM-MENU"/>
																				<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
																			</tr>
																		</table>
																		<!-- END BOOTTOM MENU -->
																	</td>
																</tr>
																<tr>
																	<td colspan="2" height="26" align="center" class="footer">
																		<!-- FOOTER -->
																		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
																		<!-- END FOOTER -->
																	</td>
																</tr>
															</table>
															<div style="width:689px; height:0px;"><span></span></div>
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding-left: 25px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="padding-left: 5px; width: 100%; height: 31px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
				<td style="padding-left: 25px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				<td style="padding-left: 5px; width: 100%; height: 31px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
			</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" style="height: 1px; background-color:  #F3F3F3; background-image:  url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
