<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xeug-14 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" bgcolor="#DAA886" background="images/main_bg.jpg"><tr><td>
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
	<tr>
		<td height="90">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="90">
				<tr>
					<td><div style="width:30px; height:1px;"><spacer type="block" width="30" height="1"/></div></td>
					<td><img src="images/menu_l.gif" border="0" alt=""/></td>
					<td width="100%" style="background-image: url('images/menu_bg.gif'); background-repeat: repeat-x;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="90" style="background-image: url('images/menu_m.gif'); background-position: right; background-repeat: no-repeat;">
							<tr>
								<td>
									<!-- MENU -->
									<table cellpadding="0" cellspacing="0">
										<tr>
											<td width="30"></td>
											<xsl:call-template name="TOP-MENU"/>
											<td width="30"></td>											
										</tr>
									</table>
									<!-- /MENU -->
								</td>								
							</tr>
						</table>
					</td>
					<td><img src="images/menu_r.gif" border="0" alt=""/></td>
					<td><div style="width:30px; height:1px;"><spacer type="block" width="30" height="1"/></div></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="290">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="290">
				<tr>
					<td><div style="width:100px; height:1px;"><spacer type="block" width="100" height="1"/></div></td>
					<td width="100%" style="background-image: url('images/header_bg.gif'); background-position: bottom; background-repeat: repeat-x;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="290" style="background-image: url('images/header.gif'); background-position: right; background-repeat: no-repeat;">
							<tr>
								<td>
									<!-- LOGO -->
									<table cellpadding="0" cellspacing="0">
										<tr>
											<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
											<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
										</tr>
										<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>
									<!-- /LOGO -->
								</td>
							</tr>
						</table>
					</td>
					<td><img src="images/header_r.gif" border="0" alt=""/></td>
					<td><div style="width:30px; height:1px;"><spacer type="block" width="30" height="1"/></div></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="100%">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr valign="top">
					<td><div style="width:100px; height:1px;"><spacer type="block" width="100" height="1"/></div></td>
					<td class="bg"><div style="width:35px; height:1px;"><spacer type="block" width="35" height="1"/></div></td>
					<td valign="top" class="bg">
					<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="150" align="center">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>	
					<!-- /SUBMENU -->
					</td>
					<td class="bg"><div style="width:45px; height:1px;"><spacer type="block" width="45" height="1"/></div></td>
					<td class="bg pageContent" width="100%">
					<!-- CONTENT -->					
						<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
						<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
					<!-- END CONTENT -->
					</td>
					<td style="background-image: url('images/rbg.gif'); background-repeat: repeat-y;"><img src="images/bg_r.gif" border="0" alt=""/></td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="146">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="146">
				<tr>
					<td style="background-image: url('images/footer_l.gif'); background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" width="431" height="146">
							<tr><td height="75"></td></tr>
							<tr>
								<td style="padding-left: 75px;">
									<div class="footer"  style="width: 265px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
								</td>
							</tr>
						</table>
						
					</td>
					<td width="100%" class="bg"></td>
					<td><img src="images/footer_r.gif" border="0" alt=""/></td>
				</tr>			
			</table>
		</td>
	</tr>
</table>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>				
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td style="padding-left: 7px" height="35" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding-right: 7px"><img src="images/submenu_bullet.gif" border="0"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 7px" height="35"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding-right: 7px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" class="submenu-hr"></td></tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
