<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xmp-02 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" background="images/main_bg.gif">
	<TR>
		<TD height="57" valign="top" style="background-image: url('images/menu_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="57" style="background-image: url('images/menu_l.gif'); background-position: left; background-repeat: no-repeat;">
				<tr>
					<td style="background-image: url('images/menu_r.gif'); background-position: top right; background-repeat: no-repeat;">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
								<td width="30"></td>
								<xsl:call-template name="TOP-MENU"/>
								<td width="30"></td>
								
							</tr>
						</table>
						<!-- END MENU -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" style="background-image: url('images/t.jpg'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="780" height="100%" style="background-image: url('images/bg.gif'); background-repeat: repeat-y;" name="SB_stretch">
				<tr>
					<td style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" width="780" height="100%" style="background-image: url('images/b.jpg'); background-position: bottom; background-repeat: no-repeat;" name="SB_stretch">
							<tr>
								<td height="191" style="padding-left: 380px;">
								<!-- LOGO -->
									<table cellpadding="0" cellspacing="0" align="center">
										<tr>
											<td rowspan="2" valign="top"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
											<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
										</tr>
										<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>	
								<!-- END LOGO -->							
								</td>
							</tr>
							<tr>
								<td height="86"><div align="right" class="text-header" style="width: 675px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
							</tr>
							<tr>
								<td height="100%" valign="top" name="SB_stretch">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" name="SB_stretch">
										<tr>
											<td height="100%"><div style="width:63px; height:1px;"><spacer type="block" width="63" height="1"/></div></td>
											<td valign="top">
												<!-- SUBMENU -->
												<table cellpadding="0" cellspacing="0" width="165" align="center">
													<tr><td colspan="2" height="44"></td></tr>
													<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
													<tr><td colspan="2" height="55"></td></tr>
												</table>	
												<!-- END SUBMENU -->
												<div style="width:165px; height:1px;"><spacer type="block" width="165" height="1"/></div>
											</td>
											<td><div style="width:90px; height:1px;"><spacer type="block" width="90" height="1"/></div></td>
											<td width="100%" valign="top" class="pageContent">
											<!-- CONTENT -->
											<xsl:apply-templates select="PAGE-CONTENT"/>
											<!-- END CONTENT -->
											</td>
											<td><div style="width:105px; height:1px;"><spacer type="block" width="105" height="1"/></div></td>									
										</tr>
									</table>
								</td>
							</tr>
							<tr><td height="80"></td></tr>
							<tr>
								<td height="30">
									<div align="right" style="width: 697px;">
										<div align="right" class="footer" style="width: 155px;"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
									</div>
								</td>
							</tr>
							<tr><td height="72"></td></tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>										
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr bgcolor="#F8F8D8">								
				<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>					
				<td align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_bullet.gif" border="0"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 5px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" bgcolor="#DFDFB8"></td></tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
