<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- xsk-12 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="77"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="108"><img src="images/xsk_01.jpg" width="42" height="77" alt="" /></td>
        <td width="100%" align="center" background="images/xsk_02.jpg">
<!-- END MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
		</td>
        <td width="28"><img src="images/xsk_03.jpg" width="28" height="77" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="42"><img src="images/xsk_04.jpg" width="42" height="224" alt="" /></td>
        <td width="100%" background="images/xsk_05.jpg">
		<table width="100%" height="224"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td style="background-image: url(images/header.jpg);background-repeat: no-repeat;background-position: right;padding-left: 10px;">
				<!-- END LOGO -->
				<table width="280" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
				  </tr>
				  <tr>
					<td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
				  </tr>
				  <tr>
					<td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
				  </tr>
				</table>
				<!-- END LOGO -->
			</td>
          </tr>
        </table></td>
        <td width="28"><img src="images/xsk_07.jpg" width="28" height="224" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top" background="images/xsk_22.jpg">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="42" valign="top" background="images/xsk_17.jpg"><img src="images/xsk_08.jpg" width="42" height="242" alt="" /></td>
        <td width="220" valign="top" style="background-image: url(images/xsk_12.jpg);background-repeat: repeat-x;background-position: top;">
		<table width="220" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td><img src="images/sbm1.png" width="220" height="64" alt="" /></td>
          </tr>
          <tr>
            <td align="center" valign="top">
			<table width="220" border="0" cellpadding="0" cellspacing="0" background="images/sbm2.png">
			  <tr>
				<td align="center" height="130" background="images/sbm3.png" style="background-repeat: no-repeat;background-position:bottom;">
				<!-- END SUBMENU -->
				<table width="141" border="0" cellpadding="0" cellspacing="0">
				<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
				</table>
			<!-- END SUBMENU -->
				</td>
			  </tr>
			</table>
			<img src="images/sbm4.png" width="220" height="108"/>
			</td>
          </tr>
        </table></td>
        <td width="100%" height="100%" valign="top" style="background-image: url(images/xsk_12.jpg);background-repeat: repeat-x;background-position: top;  padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table>

			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%">
			<tr>
			<td name="SB_stretch" class="pageContent">
			<xsl:apply-templates select="PAGE-CONTENT"/>
			</td>
			</tr>
			</table>
			<!-- END CONTENT -->
		</td>
        <td width="28" valign="top" background="images/xsk_20.jpg"><img src="images/xsk_13.jpg" width="28" height="302" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/xsk_32.jpg">
		<br/><br/>
		<!-- END BOOTTOM MENU -->
		<table border="0" cellspacing="0" cellpadding="0" align="center">
          <tr>
		   <xsl:call-template name="BOTTOM-MENU"/>
             </tr>
        </table><br/>
		<!-- END BOOTTOM MENU -->
	</td>
  </tr>
  <tr>
    <td background="images/xsk_32.jpg">
	<!-- FOOTER -->
	<div  align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
	<!-- END FOOTER -->
	<br/>
	</td>
  </tr>
</table>

</body>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
              <tr>
                <td width="121" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td width="22"><img src="images/sb.gif" width="30" height="11" /></td>
              </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
              <tr>
                <td width="121"> <a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                <td width="22"><img src="images/sb.gif" width="30" height="11" /></td>
              </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
              <tr>
                <td colspan="2" align="center"><img src="images/line.gif" width="141" height="15" /></td>
                </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td><div align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
        <td ><div align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
     <td width="30" align="center"><img src="images/bullet.gif" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
